package ruon.jiao;

public class AgentParams {

    public void setAlias(String alias) {
        add("alias", alias);
    }
    public void setGroup(String group) {
        add("group", group);
    }
    public void SetSupressKeepAlive(boolean skaa) {
        add("skaa", skaa?"true":"false");
    }
    public void setResources(String [][] resources) {
        StringBuilder sb = new StringBuilder();
        for (int i1 = 0; i1 < resources.length; i1++) {
            String[] resource = resources[i1];
            for (int i = 0; i < resource.length; i++) {
                String attr = resource[i];
                sb.append(attr);
                sb.append(",");
            }
            sb.setLength(sb.length() - 1);
            sb.append("\r\n");
        }
        add("resources", sb.toString());
    }

    public void setConfigParam(String name, String value) {
        add("config." + name, value);
    }

    private StringBuilder sb = new StringBuilder();
    private void add(String name, String value)
    {
        sb.append("<").append(name).append(">");
        sb.append("<![CDATA[");
        sb.append(value);
        sb.append("]]>");
        sb.append("</").append(name).append(">");
    }

    public String toString() {
        StringBuilder sb2 = new StringBuilder();
        sb2.append("<setparam>");
        sb2.append(sb);
        sb2.append("</setparam>");
        return sb2.toString();
    }
}